Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetMessageStatistics

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.MessageStatistics>
it.tdlight.jni.TdApi.GetMessageStatistics

Enclosing class:
  TdApi

public static final class TdApi.GetMessageStatistics extends TdApi.Function<TdApi.MessageStatistics>
Returns detailed statistics about a message. Can be used only if message.canGetStatistics == true.

Returns `MessageStatistics`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`isDark`
Pass true if a dark theme is used by the application.
`long`
`messageId`
Message identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetMessageStatistics()`
Returns detailed statistics about a message.
`GetMessageStatistics(long chatId, long messageId, boolean isDark)`
Returns detailed statistics about a message.
`GetMessageStatistics(DataInput input)`
Returns detailed statistics about a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
Message identifier.

### isDark

public boolean isDark
Pass true if a dark theme is used by the application.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetMessageStatistics

public GetMessageStatistics()
Returns detailed statistics about a message. Can be used only if message.canGetStatistics == true.

Returns `MessageStatistics`

### GetMessageStatistics

public GetMessageStatistics(long chatId, long messageId, boolean isDark)
Returns detailed statistics about a message. Can be used only if message.canGetStatistics == true.

Returns `MessageStatistics`

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long Message identifier.
  `isDark` - boolean Pass true if a dark theme is used by the application.

### GetMessageStatistics

public GetMessageStatistics(DataInput input) throws IOException
Returns detailed statistics about a message. Can be used only if message.canGetStatistics == true.

Returns `MessageStatistics`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`